// creator  : weidu.exe (version 23100)
// argument : FRANCO.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FRANCO~

IF ~!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 0 // from:
  SAY #37763 /* ~Halt! This place is under the protection of the Most Noble Order of the Radiant Heart. You will leave immediately or suffer the consequences!~ */
  IF ~~ THEN REPLY #37764 /* ~I am here with <CHARNAME>. I am to help protect the girl.~ */ GOTO 1
  IF ~~ THEN REPLY #37765 /* ~Out of my way, I've business here and you have no right to stop me.~ */ GOTO 1
  IF ~~ THEN REPLY #37766 /* ~Yes, yes, very scary. Now stand aside and let me commence my duties.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #37767 /* ~Your excuses are much easier said than verified!  I will relinquish my post to <CHARNAME> and <CHARNAME> alone!~ */
  IF ~~ THEN EXIT
END

IF ~InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 2 // from:
  SAY #37768 /* ~Halt! You will go no further while I am... Oh, forgive my outburst, <CHARNAME>. I was told you were coming to relieve me but I have been getting rather edgy. It has been a long day.~ */
  IF ~~ THEN REPLY #37769 /* ~I would imagine so, what with the threat that an attack could come at any time.~ */ GOTO 3
  IF ~~ THEN REPLY #37770 /* ~Then consider yourself relieved. I am sure I will bear the long hours well.~ */ GOTO 3
  IF ~~ THEN REPLY #37771 /* ~Has the threat of attack been that constant?~ */ DO ~SetGlobal("FrancoTimerEnd","GLOBAL",1)~ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.2 2.1 2.0
  SAY #37875 /* ~Ah, but it is not merely that. You shall understand, I am sure. I formally transfer responsibility for the situation to you, <CHARNAME>. May Helm watch over you in this.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #37876 /* ~And Tymora as well.~ */
  IF ~~ THEN DO ~CreateCreature("PLGIRL01",[233.362],0)
EscapeArea()~ EXIT
END
